usb_buffer_dmasync_sg
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_buffer_dmasync_sg — synchronize DMA and CPU view of scatterlist buffer(s)

## Synopsis

`void usb_buffer_dmasync_sg (` | const struct usb_device * | dev,
| unsigned | pipe,
| struct scatterlist * | sg,
| int | n_hw_ents`)`;

## Arguments

`dev`

  device to which the scatterlist will be mapped

`pipe`

  endpoint defining the mapping direction

`sg`

  the scatterlist to synchronize

`n_hw_ents`

  the positive return value from usb_buffer_map_sg

## Description

Use this when you are re-using a scatterlist's data buffers for another USB request.

Prev | Up | Next
usb_buffer_map_sg | Home | usb_buffer_unmap_sg